> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Send an email or sms with widget the landing page url

> Send an email or sms with widget the landing page url



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/widget/sendMessage
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/widget/sendMessage:
    post:
      tags:
        - Widgets
      summary: Send an email or sms with widget the landing page url
      description: Send an email or sms with widget the landing page url
      operationId: PosV2Widget_SendMessage
      parameters:
        - name: posSystemId
          in: path
          description: POS System Id
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
          application/json:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
          text/json:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
          application/xml:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
          text/xml:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosWidgetSendMessageRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              widgetId: '5'
              sessionId: SESSION_ID
              profile:
                firstName: Olli
                lastName: Ozby
                customerEmail: some@email.net
                customerPhone: ''
                salesPerson: '0666'
              couponId: ''
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosWidgetSendMessageResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosWidgetSendMessageResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosWidgetSendMessageResponseApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosWidgetSendMessageResponseApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosWidgetSendMessageResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosWidgetSendMessageRequest:
      required:
        - posLocationId
        - profile
        - sessionId
        - terminalId
        - widgetId
      type: object
      properties:
        widgetId:
          type: integer
          description: Widget identifier
          format: int32
        sessionId:
          minLength: 1
          type: string
          description: Session identifier
        posLocationId:
          minLength: 1
          type: string
          description: POS location identifier
        terminalId:
          minLength: 1
          type: string
          description: Terminal identifier
        profile:
          $ref: '#/components/schemas/PosWidgetProfileDto'
        couponId:
          type: string
          description: Coupon unique identifier
          nullable: true
      additionalProperties: false
      description: Send widget message request
    PosWidgetSendMessageResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosWidgetSendMessageResponse'
      additionalProperties: false
    PosWidgetProfileDto:
      type: object
      properties:
        firstName:
          type: string
          description: Profile first name
          nullable: true
        lastName:
          type: string
          description: Profile last name
          nullable: true
        customerEmail:
          type: string
          description: Profile customer email
          nullable: true
        customerPhone:
          type: string
          description: Profile customer phone number
          nullable: true
        salesPerson:
          type: string
          description: Profile sales person
          nullable: true
      additionalProperties: false
      description: Profile information for POS widget
    PosWidgetSendMessageResponse:
      type: object
      additionalProperties: false
      description: Send widget message response
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````